
<?php

	if(isset($_POST['arv'])) 
	{
	$ss = $_POST['arv'];
	$tok = explode (',',$ss);
	 print_r($tok);
	 }
?>

 <script language=javascript>
   scriptAr = new Array();
   scriptAr[0] = "one";
   scriptAr[1] = "two";
   scriptAr[2] = "three";
   </script>
   
   
 <script language="Javascript"

var param1="var1";
var param2="var2";

function go()
{
alert("toto");
//window.location.href="page2.htm?param1="+param1+"&param2="+param2;
}
</script> 
   
   <script language=javascript>
   function setValue()
   {
   var arv = scriptAr.toString();
   alert(arv);
   { // Cette ligne transforme l'Array js en String document.test.arv.value=arv;
    // Cela change l'Array en champs caché de fiche.

   }
   </script>
   
   <form action="test.php" method="post" name="test"   > <!--   onSubmit="setValue()" -->
   <input name=arv type=hidden>
   <INPUT type="button" onClick="setValue()">
   
   </form>
   
    <a href="javascript:go()">Vers la page 2</a> 